Set-contest:        Central European 1999 ACM Contest
Set-name:           Central European 1999 ACM Contest
Set-date:           1999
Set-URL:            http://contest.felk.cvut.cz/99cerc
Set-id:             cerc1999
Set-description:    Central European 1999 ACM Contest
Set-text:           cerc.html
Set-archive:        set_cerc1999.tgz
Set-solution-archive: cerc1999.tgz

Problem:            a
Name:               away
Description:        finding farthest point from given points
Class:              2D geometry
Subclass:           round
Algorithm:          computing Voronoi diagram
Solution:           a.p
Input:              a.in
Output:             a.out

Problem:            b
Name:               box
Description:        finding out if one rectangular fits into another
Class:              2D geometry
Subclass:           rectangular
Algorithm:          formula
Solution:           b.c
Input:              b.in
Output:             b.out 

Problem:            c
Name:               code
Description:        decoding sequence of numbers
Class:              numbers
Subclass:           algebra
Algorithm:          iterative calculating members of sequence
Solution:           c.c
Input:              c.in
Output:             c.out 

Problem:            k
Name:               key
Description:        finding depth to which box of tetris falls
Class:              graphs
Subclass:           path
Algorithm:          search in graph
Solution:           k.c
Input:              k.in
Output:             k.out 

Problem:            l
Name:               labyrinth
Description:        finging longest path in a tree
Class:              graphs
Subclass:           path
Algorithm:          modification of DFS
Solution:           l.c
Input:              l.in
Output:             l.out 

Problem:            p
Name:               pig
Description:        version of knapsack problem
Class:              combinatory
Subclass:           enumeration
Algorithm:          algorithm for discrete knapsack
Solution:           p.c
Input:              p.in
Output:             p.out 

Problem:            s
Name:               stone
Description:        calculation of center of gravity
Class:              2D geometry
Subclass:           linear
Algorithm:          modification of are algorithm
Solution:           s.c
Input:              s.in
Output:             s.out 

Problem:            w
Name:               words
Description:        finding Euler tour
Class:              graphs
Subclass:           path
Algorithm:          direct
Solution:           w.c
Input:              w.in
Output:             w.out 
